package com.sams.learnweblogic7.utils;

import java.text.*;

public class Utility
{
	public static int getDefaultValue(String valueToGet, int defaultValue){
		try{
			System.out.println("valueToGet = " + valueToGet);
			valueToGet = (valueToGet == null)?""+0:valueToGet;
			return Integer.parseInt(valueToGet);
		}//end of try block
		catch (NumberFormatException e){
			System.out.println("sending default value");
			return defaultValue;
		}//end of catch block
	}//end of getDefaultValue

	public static double getRoundedAmount(double amount){
		double valToBeRounded = amount * 100;
		valToBeRounded = Math.round(valToBeRounded);
		return valToBeRounded/100;
	}

	public static String getMoneyFormat(double amount){
		String newStrData = "$" + new DecimalFormat("##,###,##0.00").format(amount);
		return newStrData;
	}

	public static String getMoneyFormat(String currency, double amount){
		String newStrData = currency + new DecimalFormat("##,###,##0.00").format(amount);
		return newStrData;
	}
}//end of Utility
