package com.sams.learnweblogic7.utils;

import java.text.*;
import java.io.*;

public class Utility
{
	public static int getDefaultValue(String valueToGet, int defaultValue){
		try{
			valueToGet = (valueToGet == null)?""+0:valueToGet;
			return Integer.parseInt(valueToGet);
		}//end of try block
		catch (NumberFormatException e){
			return defaultValue;
		}//end of catch block
	}//end of getDefaultValue

	public static double getRoundedAmount(double amount){
		double valToBeRounded = amount * 100;
		valToBeRounded = Math.round(valToBeRounded);
		return valToBeRounded/100;
	}

	public static String getMoneyFormat(double amount){
		String newStrData = "$" + new DecimalFormat("##,###,##0.00").format(amount);
		return newStrData;
	}

	public static String getMoneyFormat(String currency, double amount){
		String newStrData = currency + new DecimalFormat("##,###,##0.00").format(amount);
		return newStrData;
	}

	public static void writeHeaderZone(PrintWriter outputObject , String title){
		outputObject.println("<HTML><TITLE>"+title+"</TITLE>");
		outputObject.println("<BODY><FONT face=\"Arial\" size=\"-1\">");
	}

	public static void writeFooterZone(PrintWriter outputObject){
		outputObject.println("</FONT></BODY></HTML>");
	}

}//end of Utility
