package com.sams.learnweblogic7.jndi;

import javax.naming.*;
import java.util.*;
import java.io.*;
import java.text.*;

public class Restaurant
{
	private static boolean waitersBound=false;

	public String enterRestaurant(){
		System.out.println("inside enter restaurant");
		if(!waitersBound){
			bindWaiters();
		}	
		return "Welcome To The Taste of Sams";
	}

	public void bindWaiters(){	
      Context ctx = null;
      try {
        Hashtable env = new Hashtable();
        env.put(
          Context.INITIAL_CONTEXT_FACTORY,
          "weblogic.jndi.WLInitialContextFactory"
        );

        ctx = new InitialContext(env);
        System.out.println("Initial context created");

        WaiterImpl WaiterObj = new WaiterImpl();
		WaiterObj.tempString = "This is inside the restaurant now";
        String bindName = "WaiterObj";

        // Create a unique String object (bindStr) and bind it to (bindName)

        try {
          ctx.bind(bindName, WaiterObj);
          System.out.println("Bound '" + WaiterObj + "' to '"+bindName+"' for the first time.");
        }
        catch (NameAlreadyBoundException e) {
          // Binding already exists.
          // As for the createSubcontext() method, this exception is not thown
          // by the WebLogic implementation of Context when the name is aleady
          // bound to an identical object. However, we have created a unique
          // string by including the date and time here. Run the example more than
          // once in the same WL sever session and the exception will be thrown.
          System.out.println("Overriding old binding. Rebinding '" +
                             WaiterObj +"' to '"+bindName+"'.");
          // Force a new binding
          ctx.rebind(bindName, WaiterObj);
        }
      }
      catch (NamingException e) {
        System.out.println(e.toString());
      }
      finally {
        if (ctx != null) {
          try {
            ctx.close();
          } catch (NamingException e) {
            System.out.println("Failed to close context due to: " + e);
          }
        }
      }
	}//end of bindWaiters
}
